---
title: Update Promotion
slug: api-documentation/update-promotion
docTags: 
createdAt: 2026-08-27T17:06:56.421Z
---

{
  "id": "eV9j-6jcXzs2YANHOW39u",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/promotion/{promotionId}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/promotion/{promotionId}"
      }
    ],
    "name": "Update Promotion",
    "description": "<p>This endpoint allows administrators to update the details of an existing promotion.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>promotion.update</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "promotionId",
          "type": "string",
          "description": "Unique identifier for the promotion."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "UpdatePromotionRequest",
          "schema": [
            {
              "name": "data",
              "kind": "required",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/PromotionData",
              "customType": "PromotionData",
              "schema": [
                {
                  "name": "description",
                  "kind": "optional",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "media",
                  "kind": "optional",
                  "type": "map",
                  "description": "",
                  "example": "",
                  "customType": "map<string, MediaValue>",
                  "schema": []
                },
                {
                  "name": "message",
                  "kind": "required",
                  "type": "string",
                  "description": ""
                },
                {
                  "name": "name",
                  "kind": "required",
                  "type": "string",
                  "description": ""
                }
              ]
            },
            {
              "name": "executor",
              "kind": "required",
              "type": "object",
              "description": "This class describes the type of promotion.",
              "modelRef": "#/components/schemas/Executor",
              "customType": "Executor",
              "schema": [
                {
                  "name": "templateId",
                  "kind": "required",
                  "type": "string",
                  "description": "<p>Unique identifier for a template (e.g. by x get 1 free).</p>"
                },
                {
                  "name": "configuration",
                  "kind": "required",
                  "type": "object",
                  "description": "<p>The configuration values for the template (e.g. by one get one free, get 10% off).</p>",
                  "example": "",
                  "schema": []
                }
              ]
            },
            {
              "name": "id",
              "kind": "required",
              "type": "string",
              "description": "Unique identifier for the promotion."
            },
            {
              "name": "siteIds",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "isActive",
              "kind": "required",
              "type": "boolean",
              "description": "",
              "default": false
            },
            {
              "name": "priority",
              "kind": "required",
              "type": "integer",
              "description": ""
            },
            {
              "name": "startDate",
              "kind": "required",
              "type": "string<date-time>",
              "description": "",
              "format": "date-time"
            },
            {
              "name": "stopDate",
              "kind": "required",
              "type": "string<date-time>",
              "description": "",
              "format": "date-time"
            },
            {
              "name": "taxCode",
              "kind": "optional",
              "type": "string",
              "description": "Tax code used in cart tax calculations."
            }
          ],
          "modelRef": "#/components/schemas/UpdatePromotionRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-promotion updated.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Promotion",
            "schema": [
              {
                "name": "data",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/PromotionData",
                "customType": "PromotionData",
                "schema": [
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "media",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, MediaValue>",
                    "schema": []
                  },
                  {
                    "name": "message",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "executor",
                "kind": "required",
                "type": "object",
                "description": "This class describes the type of promotion.",
                "modelRef": "#/components/schemas/Executor",
                "customType": "Executor",
                "schema": [
                  {
                    "name": "templateId",
                    "kind": "required",
                    "type": "string",
                    "description": "<p>Unique identifier for a template (e.g. by x get 1 free).</p>"
                  },
                  {
                    "name": "configuration",
                    "kind": "required",
                    "type": "object",
                    "description": "<p>The configuration values for the template (e.g. by one get one free, get 10% off).</p>",
                    "example": "",
                    "schema": []
                  }
                ]
              },
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": "Unique identifier for a promotion."
              },
              {
                "name": "isActive",
                "kind": "required",
                "type": "boolean",
                "description": "",
                "default": false
              },
              {
                "name": "isArchived",
                "kind": "required",
                "type": "boolean",
                "description": "",
                "default": false
              },
              {
                "name": "priority",
                "kind": "required",
                "type": "integer",
                "description": ""
              },
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "startDate",
                "kind": "required",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "stopDate",
                "kind": "required",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "taxCode",
                "kind": "optional",
                "type": "string",
                "description": "Tax code used in cart tax calculations."
              }
            ],
            "modelRef": "#/components/schemas/Promotion",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "deprecated": false,
    "examples": {
      "languages": [
        {
          "id": "YwiQGyrsIRCEpk4YZzIeq",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/promotion/{promotionId} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"data\": {\n     \"message\": \"\",\n     \"name\": \"\"\n     },\n     \"executor\": {\n     \"templateId\": \"\",\n     \"configuration\": \"\"\n     },\n     \"id\": \"\",\n     \"isActive\": false,\n     \"priority\": \"\",\n     \"startDate\": \"\",\n     \"stopDate\": \"\"\n     }'"
        },
        {
          "id": "0JTbGQ2H6czMQPMN7oEOq",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"data\": {\n      \"message\": \"\",\n      \"name\": \"\"\n   },\n   \"executor\": {\n      \"templateId\": \"\",\n      \"configuration\": \"\"\n   },\n   \"id\": \"\",\n   \"isActive\": false,\n   \"priority\": \"\",\n   \"startDate\": \"\",\n   \"stopDate\": \"\"\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/promotion/{promotionId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ceL4-lwjRZo7t0R7wEytn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/promotion/{promotionId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"data\": {\n      \"message\": \"\",\n      \"name\": \"\"\n   },\n   \"executor\": {\n      \"templateId\": \"\",\n      \"configuration\": \"\"\n   },\n   \"id\": \"\",\n   \"isActive\": false,\n   \"priority\": \"\",\n   \"startDate\": \"\",\n   \"stopDate\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "7eVFPK929DzMbH7-LGJlI",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/promotion/{promotionId}\"\n\npayload = json.dumps({\n   \"data\": {\n      \"message\": \"\",\n      \"name\": \"\"\n   },\n   \"executor\": {\n      \"templateId\": \"\",\n      \"configuration\": \"\"\n   },\n   \"id\": \"\",\n   \"isActive\": False,\n   \"priority\": \"\",\n   \"startDate\": \"\",\n   \"stopDate\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "YwiQGyrsIRCEpk4YZzIeq"
    },
    "results": {
      "languages": [
        {
          "id": "Z7b4NGNbcqIC119UVwYA6",
          "language": "200",
          "code": "// Success-promotion updated.\n{\n  \"data\": {\n    \"description\": \"\",\n    \"media\": \"\",\n    \"message\": \"\",\n    \"name\": \"\"\n  },\n  \"executor\": {\n    \"templateId\": \"\",\n    \"configuration\": {}\n  },\n  \"id\": \"\",\n  \"isActive\": false,\n  \"isArchived\": false,\n  \"priority\": 0,\n  \"siteIds\": [\n    \"\"\n  ],\n  \"startDate\": \"\",\n  \"stopDate\": \"\",\n  \"taxCode\": \"\"\n}"
        },
        {
          "id": "Xmghr3wv4Ds_ku8a2sI1N",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "8c7BsMRQokovhgwycVO7w",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "Z7b4NGNbcqIC119UVwYA6"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}